--- a/test/django/test_email_backend.py
+++ b/test/django/test_email_backend.py
@@ -1,5 +1,5 @@
 import pytest
-import mock
+from unittest import mock
 
 from django.conf import settings
 from django.core.mail import send_mail
--- a/test/test_transmissions.py
+++ b/test/test_transmissions.py
@@ -6,8 +6,7 @@
 
 import pytest
 import responses
-import six
-from mock import patch
+from unittest.mock import patch
 
 from sparkpost import SparkPost
 from sparkpost import Transmissions
@@ -215,7 +214,7 @@
 def test_success_send_with_attachments():
     try:
         # Let's compare unicode for Python 2 / 3 compatibility
-        test_content = six.u("Hello \nWorld\n")
+        test_content = "Hello \nWorld\n"
         (_, temp_file_path) = tempfile.mkstemp()
         with open(temp_file_path, "w") as temp_file:
             temp_file.write(test_content)
--- a/test/tornado/test_tornado.py
+++ b/test/tornado/test_tornado.py
@@ -4,7 +4,6 @@
 import tempfile
 
 import pytest
-import six
 
 from sparkpost.tornado import SparkPost, SparkPostAPIException
 from tornado import ioloop
@@ -31,7 +30,7 @@
 def test_success_send_with_attachments():
     try:
         # Let's compare unicode for Python 2 / 3 compatibility
-        test_content = six.u("Hello \nWorld\n")
+        test_content = "Hello \nWorld\n"
         (_, temp_file_path) = tempfile.mkstemp()
         with open(temp_file_path, "w") as temp_file:
             temp_file.write(test_content)
--- a/test/tornado/utils.py
+++ b/test/tornado/utils.py
@@ -29,7 +29,7 @@
 
 class AsyncClientMock(RequestsMock):
     def start(self):
-        import mock
+        from unittest import mock
 
         def unbound_on_send(client, request, callback=None, **kwargs):
             if not isinstance(request, HTTPRequest):
